#include<stdio.h>
int main()
{
	int n, i, a, m, s, max, min;
	
	scanf("%d %d", &n, &m);
	
	max=0;
	min=0;
	
	for(i=1;i<=n;i=i+1){
		scanf("%d", &a);
		if(a>max)max=a;
		if(a<min)min=a;
		if(min*(-1)>max)max=min*(-1);	
	}
	
	s=max*m;
	
	printf("%d", s);
	
	return 0;
}